VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IFramebufferOverlay Interface Reference

The IFramebufferOverlay interface represents an alpha blended overlay for displaying status icons above an IFramebuffer. More...

Inheritance diagram for IFramebufferOverlay:

## Public Member Functions
void | move (in unsigned long x, in unsigned long y)
| Changes the overlay's position relative to the IFramebuffer.
Public Member Functions inherited from IFramebuffer
void | notifyUpdate (in unsigned long x, in unsigned long y, in unsigned long width, in unsigned long height)
| Informs about an update.
void | notifyUpdateImage (in unsigned long x, in unsigned long y, in unsigned long width, in unsigned long height, in octet[] image)
| Informs about an update and provides 32bpp bitmap.
void | notifyChange (in unsigned long screenId, in unsigned long xOrigin, in unsigned long yOrigin, in unsigned long width, in unsigned long height)
| Requests a size change.
void | videoModeSupported (in unsigned long width, in unsigned long height, in unsigned long bpp, [retval] out boolean supported)
| Returns whether the frame buffer implementation is willing to support a given video mode.
void | getVisibleRegion (in octetPtr rectangles, in unsigned long count, [retval] out unsigned long countCopied)
| Returns the visible region of this frame buffer.
void | setVisibleRegion (in octetPtr rectangles, in unsigned long count)
| Suggests a new visible region to this frame buffer.
void | processVHWACommand (in octetPtr command, in long enmCmd, in boolean fromGuest)
| Posts a Video HW Acceleration Command to the frame buffer for processing.
void | notify3DEvent (in unsigned long type, in octet[] data)
| Notifies framebuffer about 3D backend event.

## Public Attributes
readonly attribute unsigned long | x
| X position of the overlay, relative to the frame buffer.
readonly attribute unsigned long | y
| Y position of the overlay, relative to the frame buffer.
attribute boolean | visible
| Whether the overlay is currently visible.
attribute unsigned long | alpha
| The global alpha value for the overlay.
Public Attributes inherited from IFramebuffer
readonly attribute unsigned long | width
| Frame buffer width, in pixels.
readonly attribute unsigned long | height
| Frame buffer height, in pixels.
readonly attribute unsigned long | bitsPerPixel
| Color depth, in bits per pixel.
readonly attribute unsigned long | bytesPerLine
| Scan line size, in bytes.
readonly attribute BitmapFormat | pixelFormat
| Frame buffer pixel format.
readonly attribute unsigned long | heightReduction
| Hint from the frame buffer about how much of the standard screen height it wants to use for itself.
readonly attribute IFramebufferOverlay | overlay
| An alpha-blended overlay which is superposed over the frame buffer.
readonly attribute long long | winId
| Platform-dependent identifier of the window where context of this frame buffer is drawn, or zero if there's no such window.
readonly attribute FramebufferCapabilities[] | capabilities
| Capabilities of the framebuffer instance.

## Detailed Description

The IFramebufferOverlay interface represents an alpha blended overlay for displaying status icons above an IFramebuffer.

It is always created not visible, so that it must be explicitly shown. It only covers a portion of the IFramebuffer, determined by its width, height and co-ordinates. It is always in packed pixel little-endian 32bit ARGB (in that order) format, and may be written to directly. Do re-read the width though, after setting it, as it may be adjusted (increased) to make it more suitable for the front end.

Interface ID:
  `{AF398A9A-6B76-4805-8FAB-00A9DCF4732B}`

## Member Function Documentation

## ◆ move()

void IFramebufferOverlay::move | ( | in unsigned long | x,
|  | in unsigned long | y
| ) |  |

Changes the overlay's position relative to the IFramebuffer.

## Member Data Documentation

## ◆ x

readonly attribute unsigned long IFramebufferOverlay::x

X position of the overlay, relative to the frame buffer.

## ◆ y

readonly attribute unsigned long IFramebufferOverlay::y

Y position of the overlay, relative to the frame buffer.

## ◆ visible

attribute boolean IFramebufferOverlay::visible

Whether the overlay is currently visible.

## ◆ alpha

attribute unsigned long IFramebufferOverlay::alpha

The global alpha value for the overlay.

This may or may not be supported by a given front end.